summaryrefslogtreecommitdiffstats
path: root/sshfs-fuse
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-07-30 17:45:57 +0000
committer Eric Hameleers <alien@slackware.com>2007-07-30 17:45:57 +0000
commita656fb2da65dc459286b13be2e4af83918aa56d8 (patch)
tree402d7ec6a982e0a5201da9357bbb36f8d7847113 /sshfs-fuse
parentfe68388aecabb56dfb65a9b4860268ef0dd791a8 (diff)
downloadasb-a656fb2da65dc459286b13be2e4af83918aa56d8.tar.gz
asb-a656fb2da65dc459286b13be2e4af83918aa56d8.tar.xz
Update
Diffstat (limited to 'sshfs-fuse')
-rwxr-xr-xsshfs-fuse/build/sshfs-fuse.SlackBuild92
1 files changed, 39 insertions, 53 deletions
diff --git a/sshfs-fuse/build/sshfs-fuse.SlackBuild b/sshfs-fuse/build/sshfs-fuse.SlackBuild
index 6aa9009f..b0e22f6b 100755
--- a/sshfs-fuse/build/sshfs-fuse.SlackBuild
+++ b/sshfs-fuse/build/sshfs-fuse.SlackBuild
@@ -1,6 +1,23 @@
#!/bin/sh
# $Id$
# Copyright (c) 2005,2007 Eric Hameleers <alien@slackware.com>
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
# -----------------------------------------------------------------------------
#
# Slackware SlackBuild script
@@ -15,6 +32,8 @@
# * Initial build.
# 1.7-1: 28/Jan/2007 by Eric Hameleers <alien@slackware.com>
# * Update. Also reworked this SlackBuild script.
+# 1.8-1: 30/Jul/2007 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh sshfs-fuse.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -22,11 +41,10 @@
#
# -----------------------------------------------------------------------------
-# --- INIT ---
# Set initial variables:
PRGNAM=sshfs-fuse
-VERSION=${VERSION:-1.7}
+VERSION=${VERSION:-1.8}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
@@ -42,7 +60,6 @@ TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Input URL: http://dl.sourceforge.net/fuse/sshfs-fuse-1.7.tar.gz
SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
SRCURL="http://dl.sourceforge.net/fuse/${PRGNAM}-${VERSION}.tar.gz"
@@ -85,24 +102,11 @@ case "$ARCH" in
;;
esac
-if [ ! -d $TMP/tmp-$PRGNAM ]; then
- mkdir -p $TMP/tmp-$PRGNAM # location to build the source
-elif [ "$P1" != "--oldbuild" ]; then
- # If the "--oldbuild" parameter is present, we keep
- # the old build files and continue;
- # By default we remove the remnants of previous build and continue:
- rm -rf $TMP/tmp-$PRGNAM/*
-fi
-
-if [ ! -d $PKG ]; then
- mkdir -p $PKG # place for the package to be built
-else
- rm -rf $PKG/* # We always erase old package's contents:
-fi
-
-if [ ! -d $OUTPUT ]; then
- mkdir -p $OUTPUT # place for the package to be saved
-fi
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+rm -rf $TMP/tmp-$PRGNAM/* # By default we remove the remnants of previous build
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # We always erase old package's contents:
+mkdir -p $OUTPUT # place for the package to be saved
# --- SOURCE FILE AVAILABILITY ---
@@ -113,7 +117,7 @@ if ! [ -f ${SOURCE} ]; then
[ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
echo "Source '`basename ${SOURCE}`' not available yet..."
echo "Will download file to `dirname $SOURCE`"
- wget -nv -O "${SOURCE}" "${SRCURL}" || true
+ wget -nv --connect-timeout=20 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 ]; then
echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
@@ -137,9 +141,6 @@ echo "|| $PRGNAM-$VERSION"
echo "++"
cd $TMP/tmp-$PRGNAM
-
-# --- TARBALL EXTRACTION,PATCH,MODIFY ---
-
echo "Extracting the source archive(s) for $PRGNAM..."
if `file ${SOURCE} | grep -q ": bzip2"`; then
tar -xjvf ${SOURCE}
@@ -147,15 +148,11 @@ else
tar -xzvf ${SOURCE}
fi
cd ${PRGNAM}-${VERSION}
-
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-
-# --- BUILDING ---
-
+# Building the sources:
echo Building ...
-
LDFLAGS="$SLKLDFLAGS" \
CFLAGS="$SLKCFLAGS" \
./configure --prefix=/usr \
@@ -164,56 +161,45 @@ CFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--program-prefix="" \
--program-suffix="" \
- $ARCH-slackware-linux \
+ --build=$ARCH-slackware-linux \
2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
-#
# Install all the needed stuff to the package dir
-#
# Use installwatch if available, to produce a logfile of the installation
# process that is more easily readable:
-if `which installwatch > /dev/null 2>&1`; then
+if $(which installwatch > /dev/null 2>&1); then
installwatch -o $OUTPUT/install-${PRGNAM}.log make DESTDIR=$PKG install
else
make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
fi
-
-# --- DOCUMENTATION ---
-
+# Add some documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
-# Compress the man page(s)
+# Compress the man page(s):
if [ -d $PKG/usr/man ]; then
find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
for i in `find $PKG/usr/man -type l -name "*.?"` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
fi
-# Strip binaries
+# Strip binaries:
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-
-# --- OWNERSHIP, RIGHTS ---
-
-chmod -R o-w $PKG
-
-
-# --- PACKAGE DESCRIPTION ---
-
+# Add a package description:
mkdir -p $PKG/install
cat $SRCDIR/slack-desc > $PKG/install/slack-desc
if [ -f $SRCDIR/doinst.sh ]; then
cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
fi
-
-
-# --- BUILDING ---
+if [ -f $SRCDIR/slack-required ]; then
+ cat $SRCDIR/slack-required > $PKG/install/slack-required
+fi
# Build the package:
cd $PKG
@@ -221,9 +207,9 @@ makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz
2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
(cd $OUTPUT && md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5)
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
-
-
-# --- CLEANUP ---
+if [ -f $PKG/install/slack-required ]; then
+ cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.dep
+fi
# Clean up the extra stuff:
if [ "$P1" = "--cleanup" ]; then